Catalogue API
Get a catalogue item
Get a product or service in the current workspace catalogue.
GET
/v1/catalogue/items/{itemId}Request
Path, query, and JSON body fields accepted by this operation.
itemIdstring<uuid>requiredpath
Response
Successful responses use Dawn's data envelope.
dataCatalogueItemrequiredidstring<uuid>requiredworkspaceIdstring<uuid>requiredkind"product" | "service"requiredhandlestringrequiredmin length 1max length 120namestringrequiredmin length 1max length 160descriptionstring | nullrequiredmax length 5000referencestring | nullrequiredmin length 1max length 120serviceDurationMinutesinteger | nullrequiredmin 5max 1440status"draft" | "active" | "archived"requiredcreatedAtstring<date-time>requiredupdatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
404The catalogue item could not be found.422The catalogue item ID is invalid.503The catalogue is temporarily unavailable.
Last updated on